scoreboard players enable @a cosmetics

#throw snowball when rightclick on snowball
execute as @a[limit=1,tag=snowman,scores={rightclick=1..}] at @s if score @s rightclick matches 1.. run function seek:seekers/launch

#give snowball back
execute if score #game_started game_started matches 1 run execute as @a[tag=snowman,scores={snowball_give=1..}] run scoreboard players add @s snowball_give 1
execute if score #game_started game_started matches 1 run execute as @a[tag=snowman,scores={snowball_give=110..}] at @s run function seek:seekers/snowball8s

#can't drop items
execute as @e[type=item,tag=!yeash] run data modify entity @s Owner set from entity @s
execute as @e[type=item,tag=!yeash] run data modify entity @s PickupDelay set value 0
tag @e[type=item] add yeash


#how many hiders/seekers
execute store result score Hiders: players if entity @a[tag=hide]
execute store result score Seekers: players if entity @a[tag=snowman]
execute store result score #players_ingame players if entity @a[tag=hide]

execute as @a[tag=snowman,tag=!error] at @s run execute if entity @a[tag=snowman,tag=!error] at @e[tag=power-up,distance=..1] run tellraw @s ["",{"text":">>>","color":"red"},{"text":" You can't pick up power-ups as a snowman...","color":"dark_red"}]
execute as @a[tag=snowman,tag=!error] at @s run execute if entity @a[tag=snowman,tag=!error] at @e[tag=power-up,distance=..1] run tag @s add error

#until snowball is gone
scoreboard players add @e[type=minecraft:armor_stand,tag=snowball] titletime 1
execute if score @e[tag=snowball,type=armor_stand,limit=1] titletime matches 120.. run give @s[tag=snowman] snowball 1
execute if score @e[tag=snowball,type=armor_stand,limit=1] titletime matches 120.. run kill @e[type=armor_stand,tag=snowball,scores={titletime=120..}]
clear @a[tag=!wrrior_equipped] wooden_sword
execute if score #game_started game_started matches 1 run clear @a[tag=snowman] wooden_sword

#execute if player is at snowball (tag=hide)
execute as @a[tag=hide] at @s if entity @e[tag=snowball,type=armor_stand,distance=..1.3] run function seek:hiders/become

#effects
effect give @a minecraft:saturation 999999 1 true
effect give @a minecraft:resistance 999999 99 true

###power-ups
execute as @a[tag=hide] at @s if entity @e[tag=power-up,distance=..1] run function seek:hiders/powerups/random

#wall
execute as @a[tag=hide,limit=1,scores={wallpowerup=1..}] at @s[tag=wall] run function seek:hiders/powerups/wall/wall
scoreboard players add @e[tag=wall,type=armor_stand] wallpowerup 1
function seek:hiders/powerups/wall/wall_1

#leap
execute as @a[scores={doublejump=1..}] at @s run function seek:hiders/powerups/leap/leap
scoreboard players reset @a[tag=!leap] doublejump
scoreboard players reset @a[tag=!wall] wallpowerup

team join lobby @a[tag=!ingame]
team join noNameTags @a[tag=ingame]

#track hiders
execute as @a[tag=snowman,limit=1,scores={tracker=1..}] at @s[tag=tracker] run function seek:seekers/powerups/track

#after someone reconnects....
execute as @a at @s if score @s timesleft matches 1.. run function seek:environment/player_left

#when all hiders left or have been caught...
execute if score #game_started game_started matches 1 run execute store result score #hidersleft players if entity @a[tag=hide]
execute if score #game_started game_started matches 1 run execute if score #hidersleft players matches ..0 run function seek:end/left
execute if score #game_started game_started matches 1 run execute store result score #snowmenleft players if entity @a[tag=snowman]
execute if score #game_started game_started matches 1 run execute if score #snowmenleft players matches ..0 run function seek:end/newsnowman

#bossbar timer
execute if score #game_started game_started matches 1 run bossbar set minecraft:time name ["",{"text":"Time Left: ","color":"dark_aqua"},{"score":{"name":"#time","objective":"time"},"color":"aqua"}]
execute if score #game_started game_started matches 1 run effect give @a[tag=original_snowman] minecraft:speed 999999 0 true
#Buy cosmetics
execute as @a[scores={cosmetics=1}] at @s if score @s cosmetics matches 1 run function seek:environment/buy_astronaut
execute as @a[scores={cosmetics=2}] at @s if score @s cosmetics matches 2 run function seek:environment/buy_lovely
execute as @a[scores={cosmetics=3}] at @s if score @s cosmetics matches 3 run function seek:environment/buy_speed
execute as @a[scores={cosmetics=4}] at @s if score @s cosmetics matches 4 run function seek:environment/buy_warrior